Add devd rule for Elantech touchscreens.
ClosedPublic

Authored by jonathan on Oct 31 2016, 12:35 PM.

Details

Summary

The touchscreen in the HP Spectre x360 is made by Elantech rather than
Wacom. Adding this devd rule starts webcamd properly for such devices,
enabling their use with the X evdev driver.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
jonathan updated this revision to Diff 21832.Oct 31 2016, 12:35 PM
jonathan retitled this revision from to Add devd rule for Elantech touchscreens..
jonathan updated this object.
jonathan edited the test plan for this revision. (Show Details)
jonathan added reviewers: kwm, nox.
hselasky edited edge metadata.Nov 22 2016, 2:45 PM

Could you dump the device and configuration descriptor of your device?

usbconfig -d X.Y dump_curr_config_desc dump_device_desc

I wonder if the rule can be made more generic?

Else patch looks good.

usbconfig output is here: http://pastebin.com/iqJix3h2

Do you mean that we should use the iManufacturer and iProduct rather than idVendor and idProduct? Those do look a bit more generic, but I'm afraid I don't know how to write that rule. :)

No, sometimes the device use 0xff for some ID fields which means propritary driver. It might be better to match that than vendor/product.

No, sometimes the device use 0xff for some ID fields which means propritary driver. It might be better to match that than vendor/product.

Sorry, I still don't quite understand: when you say, "it might be better to match that", what "that" are you referring to? To "some ID fields"? I don't see any 0xff values in the usbconfig output that I posted...

I'm not at all familiar with devd, so I don't really know how to make the rule more generic. If you could suggest a different rule then I'd be happy to test it...

hselasky accepted this revision.Jun 11 2018, 8:30 PM

Looks good.

This revision is now accepted and ready to land.Jun 11 2018, 8:30 PM
This revision was automatically updated to reflect the committed changes.

Is this one not supported by wmt(4)? The elan touchscreen on my Thinkpad X240 (0x04f3 : 0x0140) works great with wmt(4), but webcamd used to lose touch-end events...